use serde::{Serialize, Deserialize};

#[derive(Serialize, Deserialize)]
pub struct Corp {
    pub name: String,
    // If true, new members get allow_combat on, and members cannot turn
    // allow_combat off. This will allow duly authorised corp members to
    // consent to combat with other corps, and have it apply to members.
    pub allow_combat_required: bool,
}
